org.apache.tinkerpop.gremlin.process.traversal

## Enum Order

- java.lang.Object
- - java.lang.Enum<Order>
  - - org.apache.tinkerpop.gremlin.process.traversal.Order

- All Implemented Interfaces:
    Serializable, Comparable<Order>, Comparator<Object>

      public enum Order
      extends Enum<Order>
      implements Comparator<Object>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `decr`
    `incr`
    `keyDecr` Deprecated. Use `Column.keys`;
    `keyIncr` Deprecated. Use `Column.keys`;
    `shuffle`
    `valueDecr` Deprecated. Use `Column.values`;
    `valueIncr` Deprecated. Use `Column.values`;

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `compare(Object first, Object second)`
    `abstract Order` | `reversed()` Produce the opposite representation of the current `Order` enum.
    `static Order` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Enum Constant Detail

    - #### incr

          public static final Order incr

    - #### decr

          public static final Order decr

    - #### keyIncr

          @Deprecated
          public static final Order keyIncr

      Deprecated. Use `Column.keys`;

    - #### valueIncr

          @Deprecated
          public static final Order valueIncr

      Deprecated. Use `Column.values`;

    - #### keyDecr

          @Deprecated
          public static final Order keyDecr

      Deprecated. Use `Column.keys`;

    - #### valueDecr

          @Deprecated
          public static final Order valueDecr

      Deprecated. Use `Column.values`;

    - #### shuffle

          public static final Order shuffle

  - ### Method Detail

    - #### values

          public static Order[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Order c : Order.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Order valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### compare

          public abstract int compare(Object first,
                                      Object second)

      Specified by:
        `compare` in interface `Comparator<Object>`

    - #### reversed

          public abstract Order reversed()

      Produce the opposite representation of the current `Order` enum.
      Specified by:
        `reversed` in interface `Comparator<Object>`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.